<script lang="typescript">
	import { stores } from "@sapper/app";

	// You may not want to use `segment`, but it is passed for the time being and will
	// https://github.com/sveltejs/sapper/issues/824
	export let segment: string = "";

	const { page } = stores();

	let path: string;
	$: path = $page.path.slice(1);
</script>

<style global>
@import "tailwindcss/base";
@import "tailwindcss/components";
@import "tailwindcss/utilities";

* {
	@apply font-sans;
}
</style>

<svelte:head>
	<title>
		{path ? path.charAt(0).toUpperCase() + path.slice(1) : "Index"}
	</title>
</svelte:head>

<slot />
